# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 2011 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.
#
# Contributor(s):
#
# Portions Copyrighted 2011 Sun Microsystems, Inc.

#-------------------------------------------------------------------------------
#
# Mozilla (Gecko) supported CSS properties definition file
#
# The content of the file should always reflect the set of properties 
# supported by the lastest stable released version of the browser
#
# 1. all properties not explicitly listed here are considered as NOT supported
# 2. browser specific properties can either point to the standart property 
#    or redefine the value grammar
# 3. many of the standard properties are not supported yet in the original form
#    but there's an experimental support for them in the form of browser specific 
#    property.
#    For example animation is not supported in Mozilla, but -moz-animation is.
#    For there cases the value of the property can be set to "!"
#    which will generate the -moz-animation property with the value of the 
#    original animation property. The default property will be marked as unsupported.
# 4. supported properties in the standard form are marked as "+"
# 5. properties supported in both forms (standard + experimental) are marked as "*"
# 6. properties originally supported but dismissed are marked as "-"
#
#-------------------------------------------------------------------------------

#source of the data: https://developer.mozilla.org/en/Mozilla_CSS_support_chart

animation;animation-delay;animation-duration;animation-fill-mode;\
animation-iteration-count;animation-name;animation-play-state;\
animation-timing-function;appearance=!

-moz-border-radius-bottomleft=<border-bottom-left-radius>

-moz-border-radius-bottomright=<border-bottom-right-radius>

background=+
background-attachment=+
background-clip=!

#-moz-background-clip=-

background-color=+
background-image=+
background-origin=+
#-moz-background-origin=-
background-origin=*

background-position=+
background-repeat=+
#-moz-background-size=-
background-size=*

border;border-bottom;border-bottom-color=+

border-bottom-left-radius;border-bottom-right-radius=+
#-moz-border-radius-bottomleft;-moz-border-radius-bottomright=-
border-radius-bottomleft;border-radius-bottomright=*

border-bottom-style;border-bottom-width;border-collapse;border-color=+

#non-standart
border-image=
-moz-border-image=none | [ <image> [ !number | !percentage ]{1,4} [ / [<border-width>]{1,4} ]? ]  [ stretch | repeat | round ]{0,2} 

border-image-outset=
border-image-repeat=
border-image-slice=
border-image-source=
border-image-width=

border-radius;border-top-left-radius;border-top-right-radius=*

border-left;border-left-color;border-left-style;border-left-width;border-right;\
border-right-color;border-right-style;border-right-width;border-spacing;border-style;\
border-top;border-top-color;border-top-style;\
border-top-width;border-top-width;bottom=+

box-align=!

box-decoration-break=

box-direction;box-flex;box-flex-group=!

box-lines=

box-ordinal-group;box-orient;box-pack=!

box-shadow=!

box-sizing=!

caption-side;clear;clear;color=+

column-count=!

column-fill=

column-gap;column-rule;column-rule-color;column-rule-style;column-rule-width=!

column-span=

column-width=!

columns=

content;counter-increment;counter-reset;cursor;direction;display;empty-cells;\
float;font;font-family;font-size;font-size-adjust=+

font-stretch=

font-style;font-variant;font-weight;height;left;letter-spacing;line-height;\
list-style;list-style-image;list-style-position;list-style-type;margin;\
margin-bottom;margin-left;margin-right;margin-top;max-height;max-width;\
min-height;opacity=+

orphans=

outline;outline-color;outline-offset;outline-style;outline-width;overflow;\
overflow-x;overflow-y;padding;padding-bottom;padding-left;padding-right;\
padding-top=+

page-break-after;page-break-before;page-break-inside=

position;quotes;resize;right;table-layout;text-align;text-decoration=+

text-decoration-color;text-decoration-line;text-decoration-style=!

text-decoration-skip=

text-indent;text-shadow;text-transform;top=+

transform;transform-origin;transition;transition-delay;transition-duration;\
transition-property;transition-timing-function=!

unicode-bidi;unicode-bidi;unicode-bidi;white-space=+

widows=

width=+

word-break=

word-spacing;word-wrap;z-index=+

#@image-list=
#@linear-gradient()=
#@radial-gradient()=
#@repeating-linear-gradient()=
#@repeating-radial-gradient()
